package com.srs.stureg.service;

import com.srs.stureg.domain.SrsFeedback;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 新生报到反馈Service接口
 * 
 * @author srs
 * @date 2023-07-31
 */
public interface ISrsFeedbackService 
{
    /**
     * 查询新生报到反馈
     * 
     * @param id 新生报到反馈主键
     * @return 新生报到反馈
     */
    public SrsFeedback selectSrsFeedbackById(Long id);

    /**
     * 查询新生报到反馈列表
     * 
     * @param srsFeedback 新生报到反馈
     * @return 新生报到反馈集合
     */
    public List<SrsFeedback> selectSrsFeedbackList(SrsFeedback srsFeedback);

    /**
     * 新增新生报到反馈
     * 
     * @param srsFeedback 新生报到反馈
     * @return 结果
     */
    public int insertSrsFeedback(SrsFeedback srsFeedback, HttpServletRequest request);

    /**
     * 修改新生报到反馈
     * 
     * @param srsFeedback 新生报到反馈
     * @return 结果
     */
    public int updateSrsFeedback(SrsFeedback srsFeedback);

    /**
     * 批量删除新生报到反馈
     * 
     * @param ids 需要删除的新生报到反馈主键集合
     * @return 结果
     */
    public int deleteSrsFeedbackByIds(Long[] ids);

    /**
     * 删除新生报到反馈信息
     * 
     * @param id 新生报到反馈主键
     * @return 结果
     */
    public int deleteSrsFeedbackById(Long id);
}
